Skip to main content
GET
/
config
/
identity-providers
Get Identity Provider configuration
curl --request GET \
  --url https://{tenantDomain}/my-org/v1/config/identity-providers \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{tenantDomain}/my-org/v1/config/identity-providers"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{tenantDomain}/my-org/v1/config/identity-providers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "organization": {
    "can_set_show_as_button": true,
    "can_set_assign_membership_on_login": false
  },
  "strategies": {
    "adfs": {
      "provisioning_methods": [],
      "enabled_features": []
    },
    "googleapps": {
      "provisioning_methods": [],
      "enabled_features": []
    },
    "oidc": {
      "provisioning_methods": [
        "scim"
      ],
      "enabled_features": [
        "provisioning"
      ]
    },
    "okta": {
      "provisioning_methods": [
        "scim"
      ],
      "enabled_features": [
        "provisioning",
        "universal_logout"
      ]
    },
    "pingfederate": {
      "provisioning_methods": [],
      "enabled_features": []
    },
    "samlp": {
      "provisioning_methods": [
        "scim"
      ],
      "enabled_features": [
        "provisioning",
        "universal_logout"
      ]
    },
    "waad": {
      "provisioning_methods": [
        "scim"
      ],
      "enabled_features": [
        "provisioning"
      ]
    }
  }
}
{
"type": "https://auth0.com/api-errors#A0E-401-0002",
"status": 401,
"title": "Missing Token",
"detail": "No auth token provided."
}
{
"type": "https://auth0.com/api-errors#A0E-403-0002",
"status": 403,
"title": "Insufficient Scope",
"detail": "The auth token lacks the required scope: Check the API documentation for the required scopes for this endpoint."
}
{
"type": "https://auth0.com/api-errors#A0E-404-0002",
"status": 404,
"title": "Resource Not Found",
"detail": "The organization does not exist."
}
{
"type": "https://auth0.com/api-errors#A0E-429-0003",
"status": 429,
"title": "Endpoint Rate Limit Exceeded",
"detail": "The endpoint request limit has been exceeded."
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Response

Identity provider configuration successfully retrieved.

organization
object
required

The organization config for identity providers.

strategies
object
required

Strategy-specific overrides for identity providers